Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I think the servers were not working and that was the origin of the problem

I am running 12.04 and installed the Unity Webapps thing. I didn't like the result and want to uninstall it but... I can't. It also broke Adobe Air because it messed up with the 32bit libraries (needed for Air to run).

I used

sudo ppa-purge ppa:webapps/preview

As it's explained in the ppa but I get thousands of errors:

W: Imposible obtener http://es.archive.ubuntu.com/ubuntu/dists/precise-backports/universe/i18n/Translation-es  No se pudo conectar a es.archive.ubuntu.com:http:

W: Imposible obtener http://es.archive.ubuntu.com/ubuntu/dists/precise-backports/universe/i18n/Translation-en  No se pudo conectar a es.archive.ubuntu.com:http:

E: Algunos archivos de índice fallaron al descargar. Se han ignorado, o se han utilizado unos antiguos en su lugar
Warning:  apt-get update failed for some reason
PPA to be removed: webapps preview
comm: el fichero 2 no está ordenado
Package revert list generated:
 account-plugin-facebook/precise account-plugin-flickr/precise 
account-plugin-foursquare/precise account-plugin-google/precise 
account-plugin-identica/precise account-plugin-twitter/precise 
bamfdaemon/precise chromium-browser/precise chromium-browser-l10n/precise 
chromium-codecs-ffmpeg/precise indicator-appmenu/precise 
indicator-messages/precise indicator-status-provider-mc5/precise 
indicator-status-provider-pidgin/precise libaccount-plugin-1.0-0/precise 
libaccounts-glib0/precise libaccounts-qt1/precise libbamf0/precise 
libbamf3-0/precise libgwibber3/precise libgwibber-gtk3/precise 
libindicator-messages-status-provider1/precise libsignon-extension1/precise 
libsignon-glib1/precise libsignon-plugins-common1/precise libsignon-qt1/precise 
libufe-xidgetter0/precise libunity-core-5.0-5/precise libunity-webapps0/precise 
python-flickr-api/precise shotwell/precise signond/precise unity/precise 
unity-common/precise unity-services/precise unity-webapps/precise 
xul-ext-websites-integration/precise

And then this:

    E: No se encontró la Distribución «precise» para «libufe-xidgetter0»
E: No se encontró la Distribución «precise» para «libunity-webapps0»
E: No se encontró la Distribución «precise» para «python-flickr-api»
E: No se encontró la Distribución «precise» para «signond»
E: No se encontró la Distribución «precise» para «unity-webapps»
E: No se encontró la Distribución «precise» para «xul-ext-websites-integration»
Incapaz de encontrar un archivo «precise» para el paquete «account-plugin-facebook»
Incapaz de encontrar un archivo «precise» para el paquete «account-plugin-flickr»
Incapaz de encontrar un archivo «precise» para el paquete «account-plugin-foursquare»
Incapaz de encontrar un archivo «precise» para el paquete «account-plugin-google»
Incapaz de encontrar un archivo «precise» para el paquete «account-plugin-identica»
Incapaz de encontrar un archivo «precise» para el paquete «account-plugin-twitter»
Incapaz de encontrar un archivo «precise» para el paquete «libaccount-plugin-1.0-0»
Incapaz de encontrar un archivo «precise» para el paquete «libaccounts-glib0»
Incapaz de encontrar un archivo «precise» para el paquete «libaccounts-qt1»
Incapaz de encontrar un archivo «precise» para el paquete «libgwibber3»

Now I can't update nor fix the Adobe Air problem.

share|improve this question

1 Answer 1

up vote 2 down vote accepted

You can uninstall WebApps with these two commands:

sudo apt-get update && sudo apt-get install ppa-purge
sudo ppa-purge ppa:webapps/preview

As for the 32-bit libraries, you could try running this:

sudo apt-get dist-upgrade

Which upgrades all existing packages and installs/updates all dependencies for existing packages as well. I can't promise this will fix your issue with the 32-bit libraries, but it certainly won't hurt and it has the potential help.

share|improve this answer
    
It seems that my problem was actually related with the servers, so I mark your answer as valid because, at the end, it's the way to uninstall (if the servers are ok :P). –  Cmorales Aug 28 '12 at 13:35

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.